Subject: Fw: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Amber Blais" <[email-masked]>
Date: Wed, 12 Feb 2014 08:49:13 -0500

Please look into this and take care of this for me.
Thank you,
Michael B
LLPS

From: LLPS 
Sent: Tuesday, February 11, 2014 4:45 PM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Lauren Citrone

Company: SCHOTT North America Inc.

E-mail Address: [email-masked]

Telephone: Not specified

Message: Hi, 

I just received two confirmation emails for the most current Labor Law
Poster Set (State & Federal), when I only wanted to order 1 set,
instead of 2. I would therefore ask you to cancel one of my orders,
if it came through twice. That must have been a technical issue. 
Thank you very much. 

Best regards, 
Lauren Citrone

Request generated on February 11th, 2014 at 4:45 PM EST from the IP address 70.39.231.52